﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_Installment>
@{
    ViewBag.Title = "Installment List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script type="text/javascript">

        deleterecord("MaAdmission");


      

    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Installment List of Roll No:- @ViewBag.RollNo, Name:- @ViewBag.StudentName</h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
      string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "InstallmentCreate", new { @id = ViewBag.Sid })
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table" width="600px">
                <tr>
                    <th>
                        Installment No.
                    </th>
                    <th>
                        Next Due Days
                    </th>
                    <th>
                        Course
                    </th>
                    <th>
                        Amount
                    </th>
                    <th>
                    </th>
                </tr>
                @{ double? totalamount = 0;
                   int i = 0;
                   string bgcolor = "oddrow";
                }
                @foreach (var item in Model)
                {
                    totalamount += item.Amount;
                    if (i % 2 == 0)
                    {
                        bgcolor = "evenrow";
                    }
                    else
                    {
                        bgcolor = "oddrow";
                    }
                    i++;
                    <tr class="@bgcolor">
                        <td>
                            @Html.DisplayFor(modelItem => item.InstallmentNo)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.NextDayDuration)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Amount)
                        </td>
                        <td>
                            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "InstallmentEdit", new { id = item.Id })|
                              @{if (utype == CommonUtil.UserTypeSuperAdmin)
                                {
                            @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "InstallmentDelete", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }
                }
                            @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "InstallmentDetail", new { id = item.Id })
                        </td>
                    </tr>
       
                }
            </table>
            <table align="center">
                <tr>
                    <td align="left">
                        Total:
                    </td>
                    <td align="left">@totalamount
                    </td>
                </tr>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
